6 Replies Latest reply: Sep 7, 2012 7:35 AM by William Lloyd
Yotamcon Level 1 Level 1

is there a way to still open the apps i legally purchased? what if that company that wrote the softwear doesn't exists any more??


OS X Mountain Lion (10.8.1)
Solved by William Lloyd on Sep 7, 2012 7:35 AM Solved

No, you don't need to re-buy programs to get them to work.

 

That said, some programs (including Parallels) need newer versions to be compatible with Mountain Lion.  So you may need to buy a Parallels upgrade for it to work.  You didn't mention the version you have but since only the latest Parallels version is compatible, you may need to pay in this specific case.

 

Most other apps should run OK, if they're relatively recent.  You need to check with the vendors of those applications to see if they run on Mountain Lion or if they have an upgrade.

 

Applications bought via the Mac App Store are pretty much all compatible with Mountain Lion.

  • mende1 Level 10 Level 10
    expertise.desktops
    Desktops

    Welcome to Apple Support Communities

     

    If the application was purchased in App Store, you can use it, but you won't be able to download the application

  • Yotamcon Level 1 Level 1

    You just avoided my question.

    What can I do to make it work?

    Would I need to downgrade back to 10.7 to make it work again?

     

    Yotamcon

  • markwmsn Level 5 Level 5

    That may depend on just why the program in question (which you have not identified) cannot now be opened. Are you getting some error message? What message?

     

    If the program is technically incompatible with Mountain Lion, and the company that maintains the program no longer exists, there may be nobody left to update it.

  • William Lloyd Level 7 Level 7

    What application?  If it's a PowerPC application, the answer is "no."

  • Yotamcon Level 1 Level 1

    its Parallels desktop.

    but I'm also asking it as a general question

     

    i would need to rebuy the program for it to work?

  • William Lloyd Level 7 Level 7

    No, you don't need to re-buy programs to get them to work.

     

    That said, some programs (including Parallels) need newer versions to be compatible with Mountain Lion.  So you may need to buy a Parallels upgrade for it to work.  You didn't mention the version you have but since only the latest Parallels version is compatible, you may need to pay in this specific case.

     

    Most other apps should run OK, if they're relatively recent.  You need to check with the vendors of those applications to see if they run on Mountain Lion or if they have an upgrade.

     

    Applications bought via the Mac App Store are pretty much all compatible with Mountain Lion.